Bug 1029810 - gvim should require vim-enhanced
gvim should require vim-enhanced
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
20
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
: EasyFix
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 04:34 EST by Igor Gnatenko
Modified: 2015-06-12 07:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-12 07:22:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Igor Gnatenko 2013-11-13 04:34:35 EST
[brain@ThinkPad-X230 ~]$ sudo yum install gvim
Swipe your right index finger across the fingerprint reader
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package vim-X11.x86_64 2:7.4.027-2.fc20 will be installed
--> Processing Dependency: vim-common = 2:7.4.027-2.fc20 for package: 2:vim-X11-7.4.027-2.fc20.x86_64
--> Processing Dependency: libgpm.so.2()(64bit) for package: 2:vim-X11-7.4.027-2.fc20.x86_64
--> Running transaction check
---> Package gpm-libs.x86_64 0:1.20.7-3.fc20 will be installed
---> Package vim-common.x86_64 2:7.4.027-2.fc20 will be installed
--> Processing Dependency: vim-filesystem for package: 2:vim-common-7.4.027-2.fc20.x86_64
--> Running transaction check
---> Package vim-filesystem.x86_64 2:7.4.027-2.fc20 will be installed
--> Finished Dependency Resolution

[snipped]

[brain@ThinkPad-X230 ~]$ gvimtutor 
/usr/bin/gvimtutor: line 8: /usr/bin/vimtutor: No such file or directory

[brain@ThinkPad-X230 ~]$ sudo yum install vim
Loaded plugins: langpacks, refresh-packagekit
Resolving Dependencies
--> Running transaction check
---> Package vim-enhanced.x86_64 2:7.4.027-2.fc20 will be installed
--> Finished Dependency Resolution

[snipped]

[brain@ThinkPad-X230 ~]$ gvimtutor 
[brain@ThinkPad-X230 ~]$
Comment 1 Fedora End Of Life 2015-05-29 05:44:49 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Karsten Hopp 2015-06-12 07:22:05 EDT
I've added the vimtutor script to vim-X11. The next vim update will have this fix.

Note You need to log in before you can comment on or make changes to this bug.